Index: /LMDZ6/trunk/libf/misc/TEMP_FOR_DUST_REMOVE_ONCE_WE_MAKE_MODULE_OUT_OF_YOERAD_DOT_H.F90
===================================================================
--- /LMDZ6/trunk/libf/misc/TEMP_FOR_DUST_REMOVE_ONCE_WE_MAKE_MODULE_OUT_OF_YOERAD_DOT_H.F90	(revision 5253)
+++ /LMDZ6/trunk/libf/misc/TEMP_FOR_DUST_REMOVE_ONCE_WE_MAKE_MODULE_OUT_OF_YOERAD_DOT_H.F90	(revision 5253)
@@ -0,0 +1,1 @@
+link ../phylmd/rrtm/yoerad.F90
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_surface.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_surface.F90	(revision 5252)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_surface.F90	(revision 5253)
@@ -10,5 +10,5 @@
        USE mod_phys_lmdz_para
        USE iophy
-!       USE netcdf
+       USE netcdf, ONLY: nf90_get_var
        IMPLICIT NONE
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_vent.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_vent.F90	(revision 5252)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_vent.F90	(revision 5253)
@@ -3,4 +3,5 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
+  USE netcdf, ONLY: nf90_get_var
    ! USE write_field_phy
   IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5252)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5253)
@@ -2247,7 +2247,5 @@
        "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)"  /))
 
-#ifdef CPP_Dust
-      INCLUDE 'spla_output_dat.h'
-#endif
+   INCLUDE 'spla_output_dat.h'
 
    type(ctrl_out), save:: o_delta_sst &
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5252)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5253)
@@ -100,11 +100,6 @@
 !
 !
-#ifdef CPP_Dust
-    USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
-    USE phys_output_write_spl_mod
-#else
     USE phytrac_mod, ONLY : phytrac_init, phytrac
     USE phys_output_write_mod
-#endif
 
 
@@ -118,5 +113,5 @@
     USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
     USE vertical_layers_mod, ONLY: aps, bps, ap, bp
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_STRATAER
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_STRATAER, CPPKEY_DUST
 
 #ifdef CPP_RRTM
@@ -1509,10 +1504,10 @@
        ok_water_mass_fixer=.FALSE.  ! OB: by default we do not apply the mass fixer
        CALL getin_p('ok_water_mass_fixer',ok_water_mass_fixer)
-#ifdef CPP_Dust
-       IF (iflag_phytrac.EQ.0) THEN 
+IF (CPPKEY_DUST) THEN
+       IF (iflag_phytrac.EQ.0) THEN
          WRITE(lunout,*) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
          iflag_phytrac = 1
        ENDIF
-#endif
+END IF
        nvm_lmdz = 13
        CALL getin_p('NVM',nvm_lmdz)
@@ -1888,5 +1883,5 @@
 END IF
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
        ! Quand on utilise SPLA, on force iflag_phytrac=1
        CALL phytracr_spl_out_init()
@@ -1897,5 +1892,5 @@
                                 ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
                                 flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
        ! phys_output_write écrit des variables traceurs seulement si iflag_phytrac == 1 
        ! donc seulement dans ce cas on doit appeler phytrac_init()
@@ -1909,5 +1904,5 @@
                               ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
                               flag_aerosol, flag_aerosol_strat, ok_cdnc, t, u1, v1)
-#endif
+END IF
 
 
@@ -4261,5 +4256,5 @@
                    !--new aerosol properties SW and LW
                    !
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
                    !--SPL aerosol model
                    CALL splaerosol_optic_rrtm( ok_alw, pplay, paprs, t_seri, rhcl, &
@@ -4267,5 +4262,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, tau3d_aero)
-#else
+ELSE
                    !--climatologies or INCA aerosols
                    CALL readaerosol_optic_rrtm( debut, aerosol_couple, ok_alw, ok_volcan, &
@@ -4275,5 +4270,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, drytausum_aero, tau3d_aero)
-#endif
+END IF
 
                    IF (flag_aerosol .EQ. 7) THEN
@@ -5315,5 +5310,5 @@
     ENDIF
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
     !  Avec SPLA, iflag_phytrac est forcé =1 
     CALL       phytracr_spl ( debut,lafin , jD_cur,jH_cur,iflag_con,       &  ! I
@@ -5332,5 +5327,5 @@
                       d_tr_dyn,tr_seri)
 
-#else
+ELSE
     IF (iflag_phytrac == 1 ) THEN
       CALL phytrac ( &
@@ -5373,5 +5368,5 @@
     ENDIF    ! (iflag_phytrac=1)
 
-#endif
+END IF
     !ENDIF    ! (iflag_phytrac=1)
 
@@ -5732,5 +5727,5 @@
     !On effectue les sorties:
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
   CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,  &
        pplay, lmax_th, aerosol_couple,                 &
@@ -5739,5 +5734,5 @@
        ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
        flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
@@ -5746,5 +5741,5 @@
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
          flag_aerosol, flag_aerosol_strat, ok_cdnc,t, u1, v1)
-#endif
+END IF
 
 #ifndef CPP_XIOS
Index: /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5252)
+++ /LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5253)
@@ -100,11 +100,8 @@
 !
 !
-#ifdef CPP_Dust
     USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
     USE phys_output_write_spl_mod
-#else
     USE phytrac_mod, ONLY : phytrac_init, phytrac
     USE phys_output_write_mod
-#endif
 
 
@@ -433,5 +430,5 @@
        reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
        USE output_physiqex_mod, ONLY: output_physiqex
-       USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_STRATAER
+       USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS, CPPKEY_STRATAER, CPPKEY_DUST
 
 
@@ -1643,10 +1640,10 @@
        iflag_phytrac = 1 ! by default we do want to call phytrac
        CALL getin_p('iflag_phytrac',iflag_phytrac)
-#ifdef CPP_Dust
-       IF (iflag_phytrac.EQ.0) THEN 
+IF (CPPKEY_DUST) THEN
+       IF (iflag_phytrac.EQ.0) THEN
          WRITE(lunout,*) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
          iflag_phytrac = 1
        ENDIF
-#endif
+END IF
        nvm_lmdz = 13
        CALL getin_p('NVM',nvm_lmdz)
@@ -2047,5 +2044,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
        ! Quand on utilise SPLA, on force iflag_phytrac=1
        CALL phytracr_spl_out_init()
@@ -2056,5 +2053,5 @@
                                 ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
                                 flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
        ! phys_output_write écrit des variables traceurs seulement si iflag_phytrac == 1 
        ! donc seulement dans ce cas on doit appeler phytrac_init()
@@ -2068,5 +2065,5 @@
                               ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
                               flag_aerosol, flag_aerosol_strat, ok_cdnc, t, u1, v1)
-#endif
+END IF
 
 
@@ -5718,5 +5715,5 @@
                    !--new aerosol properties SW and LW
                    !
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
                    !--SPL aerosol model
                    CALL splaerosol_optic_rrtm( ok_alw, pplay, paprs, t_seri, rhcl, &
@@ -5724,5 +5721,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, tau3d_aero)
-#else
+ELSE
                    !--climatologies or INCA aerosols
                    CALL readaerosol_optic_rrtm( debut, aerosol_couple, ok_alw, ok_volcan, &
@@ -5732,5 +5729,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, drytausum_aero, tau3d_aero)
-#endif
+END IF
 
                    IF (flag_aerosol .EQ. 7) THEN
@@ -6902,5 +6899,5 @@
     ENDIF
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
     !  Avec SPLA, iflag_phytrac est forcé =1 
     CALL       phytracr_spl ( debut,lafin , jD_cur,jH_cur,iflag_con,       &  ! I
@@ -6919,5 +6916,5 @@
                       d_tr_dyn,tr_seri)
 
-#else
+ELSE
     IF (iflag_phytrac == 1 ) THEN
       CALL phytrac ( &
@@ -6962,5 +6959,5 @@
     ENDIF    ! (iflag_phytrac=1)
 
-#endif
+END IF
     !ENDIF    ! (iflag_phytrac=1)
 
@@ -7361,5 +7358,5 @@
     !On effectue les sorties:
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
   CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,  &
        pplay, lmax_th, aerosol_couple,                 &
@@ -7368,5 +7365,5 @@
        ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
        flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
@@ -7375,5 +7372,5 @@
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
          flag_aerosol, flag_aerosol_strat, ok_cdnc,t, u1, v1)
-#endif
+END IF
 
 #ifndef CPP_XIOS
Index: /LMDZ6/trunk/makelmdz
===================================================================
--- /LMDZ6/trunk/makelmdz	(revision 5252)
+++ /LMDZ6/trunk/makelmdz	(revision 5253)
@@ -500,8 +500,7 @@
 fi
 
-if [[ "$dust" == "true" ]]
-then
+src_dirs="$src_dirs phy${physique}/Dust"
+if [[ "$dust" == "true" ]]; then
    CPP_KEY="$CPP_KEY CPP_Dust"
-   src_dirs="$src_dirs phy${physique}/Dust"
 fi
 
Index: /LMDZ6/trunk/makelmdz_fcm
===================================================================
--- /LMDZ6/trunk/makelmdz_fcm	(revision 5252)
+++ /LMDZ6/trunk/makelmdz_fcm	(revision 5253)
@@ -488,8 +488,7 @@
 fi
 
-if [[ "$dust" == "true" ]]
-then
+DUST_PATH="$LIBFGCM/phy${physique}/Dust"
+if [[ "$dust" == "true" ]]; then
    CPP_KEY="$CPP_KEY CPP_Dust"
-   DUST_PATH="$LIBFGCM/phy${physique}/Dust"
 fi
 