Index: /LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.F90	(revision 5264)
@@ -14,5 +14,5 @@
   USE aero_mod
   USE infotrac_phy, ONLY: nbtr, nqtot, tracers
-  USE YOMCST, ONLY: RD, RG
+  USE yomcst_mod_h, ONLY: RD, RG
 
   IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5264)
@@ -22,5 +22,5 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE yomcst_mod_h
 
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5264)
@@ -9,5 +9,5 @@
   USE dimphy
   USE temps_mod
-  USE YOMCST
+  USE yomcst_mod_h
 
   IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5264)
@@ -28,5 +28,5 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE yomcst_mod_h, ONLY : RPI
       USE sulfate_aer_mod, ONLY : wph2so4, surftension, solh2so4, rpmvh2so4
       USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
@@ -177,5 +177,5 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE yomcst_mod_h, ONLY : RPI
       USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
 
@@ -290,5 +290,5 @@
       USE aerophys
       USE infotrac_phy
-      USE YOMCST, ONLY : RPI
+      USE yomcst_mod_h, ONLY : RPI
       USE strataer_local_var_mod, ONLY : RRSI,Vbin
       
Index: /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5264)
@@ -18,5 +18,5 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE yomcst_mod_h
   USE strataer_local_var_mod, ONLY : flag_newclim_file,flag_verbose_strataer
 
Index: /LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5264)
@@ -13,5 +13,5 @@
   USE cond_evap_tstep_mod
   USE sulfate_aer_mod, ONLY : STRAACT
-  USE YOMCST, ONLY : RPI, RD, RG
+  USE yomcst_mod_h, ONLY : RPI, RD, RG
   USE print_control_mod, ONLY: lunout
   USE strataer_local_var_mod ! contains also RRSI and Vbin
Index: /LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5264)
@@ -20,5 +20,5 @@
   USE infotrac_phy, ONLY : nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
   USE dimphy
-  USE YOMCST  , ONLY : RG, RPI
+  USE yomcst_mod_h  , ONLY : RG, RPI
   USE mod_phys_lmdz_para, only: gather, scatter, bcast
   USE mod_grid_phy_lmdz, ONLY : klon_glo
Index: /LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5264)
@@ -7,5 +7,5 @@
   USE aerophys
   USE infotrac_phy
-  USE YOMCST, ONLY : RG
+  USE yomcst_mod_h, ONLY : RG
   USE phys_local_var_mod, ONLY : OCS_lifetime, budg_3D_ocs_to_so2, budg_ocs_to_so2
   USE strataer_local_var_mod, ONLY : flag_min_rreduce
Index: /LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5264)
@@ -7,5 +7,5 @@
   USE aerophys
   USE infotrac_phy
-  USE YOMCST, ONLY : RG, RD
+  USE yomcst_mod_h, ONLY : RG, RD
   ! lifetime (sec) et O3_clim (VMR)
   USE phys_local_var_mod, ONLY : SO2_lifetime, H2SO4_lifetime, O3_clim, budg_3D_so2_to_h2so4, budg_so2_to_h2so4
Index: /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5264)
@@ -19,5 +19,5 @@
   USE infotrac_phy
   USE aerophys
-  USE YOMCST
+  USE yomcst_mod_h
   USE strataer_local_var_mod, ONLY : flag_newclim_file
   
Index: /LMDZ6/trunk/libf/phylmd/StratAer/strataer_local_var_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5264)
@@ -161,5 +161,5 @@
     USE phys_local_var_mod, ONLY : mdw
     USE aerophys, ONLY: mdwmin, V_rat
-    USE YOMCST  , ONLY : RPI
+    USE yomcst_mod_h  , ONLY : RPI
     
     INTEGER :: it
Index: /LMDZ6/trunk/libf/phylmd/StratAer/stratdistrib.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/stratdistrib.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/stratdistrib.F90	(revision 5264)
@@ -6,5 +6,5 @@
   USE dimphy, ONLY : klon,klev
   USE strataer_local_var_mod
-  USE YOMCST, only : RPI
+  USE yomcst_mod_h, only : RPI
 
   IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/stratemit.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/stratemit.F90	(revision 5264)
@@ -10,5 +10,5 @@
   USE phys_cal_mod
   USE phys_local_var_mod, ONLY: d_q_emiss
-  USE YOMCST, only : RD, RPI, RG
+  USE yomcst_mod_h, only : RD, RPI, RG
   USE geometry_mod, ONLY : cell_area, boundslat
   USE aerophys
Index: /LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5264)
@@ -24,5 +24,5 @@
     USE sulfate_aer_mod
     USE phys_local_var_mod, ONLY: stratomask
-    USE YOMCST
+    USE yomcst_mod_h
     USE print_control_mod, ONLY: lunout
     USE strataer_local_var_mod
Index: /LMDZ6/trunk/libf/phylmd/yomcst_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/yomcst_mod_h.f90	(revision 5263)
+++ /LMDZ6/trunk/libf/phylmd/yomcst_mod_h.f90	(revision 5264)
@@ -1,5 +1,5 @@
 ! Replaces yomcst.h
 
-module yomcst
+module yomcst_mod_h
   IMPLICIT NONE; PRIVATE
 
@@ -53,3 +53,3 @@
   !$OMP      , RALPD, RBETD, RGAMD)
 
-END MODULE yomcst
+END MODULE yomcst_mod_h