Index: LMDZ6/trunk/libf/phydev/comcstphy.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/comcstphy.F90	(revision 5267)
+++ 	(revision )
@@ -1,8 +1,0 @@
-module comcstphy
-  
-  real :: rradius ! planet radius (m)
-  real :: rr      ! recuced gas constant: R/molar mass of atm
-  real :: rg      ! gravity
-  real :: rcpp    ! specific heat of the atmosphere
-
-end module comcstphy
Index: LMDZ6/trunk/libf/phydev/comcstphy.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/comcstphy.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/comcstphy.f90	(revision 5268)
@@ -0,0 +1,8 @@
+module comcstphy
+  
+  real :: rradius ! planet radius (m)
+  real :: rr      ! recuced gas constant: R/molar mass of atm
+  real :: rg      ! gravity
+  real :: rcpp    ! specific heat of the atmosphere
+
+end module comcstphy
Index: LMDZ6/trunk/libf/phydev/gr_fi_ecrit.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/gr_fi_ecrit.F90	(revision 5267)
+++ 	(revision )
@@ -1,27 +1,0 @@
-!
-! $Id $
-!
-SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
-  IMPLICIT NONE
-  !
-  ! Transfer a field from the full physics grid
-  ! to a full 2D (lonxlat) grid suitable for outputs
-  !
-  INTEGER,INTENT(IN) :: nfield,nlon,iim,jjmp1
-  REAL,INTENT(IN) :: fi(nlon,nfield)
-  REAL,INTENT(out) :: ecrit(iim*jjmp1,nfield)
-
-  INTEGER :: i, n, ig, jjm
-
-  jjm = jjmp1 - 1
-  DO n = 1, nfield
-     DO i=1,iim
-        ecrit(i,n) = fi(1,n)
-        ecrit(i+jjm*iim,n) = fi(nlon,n)
-     ENDDO
-     DO ig = 1, nlon - 2
-        ecrit(iim+ig,n) = fi(1+ig,n)
-     ENDDO
-  ENDDO
-
-END SUBROUTINE gr_fi_ecrit
Index: LMDZ6/trunk/libf/phydev/gr_fi_ecrit.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/gr_fi_ecrit.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/gr_fi_ecrit.f90	(revision 5268)
@@ -0,0 +1,27 @@
+!
+! $Id $
+!
+SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
+  IMPLICIT NONE
+  !
+  ! Transfer a field from the full physics grid
+  ! to a full 2D (lonxlat) grid suitable for outputs
+  !
+  INTEGER,INTENT(IN) :: nfield,nlon,iim,jjmp1
+  REAL,INTENT(IN) :: fi(nlon,nfield)
+  REAL,INTENT(out) :: ecrit(iim*jjmp1,nfield)
+
+  INTEGER :: i, n, ig, jjm
+
+  jjm = jjmp1 - 1
+  DO n = 1, nfield
+     DO i=1,iim
+        ecrit(i,n) = fi(1,n)
+        ecrit(i+jjm*iim,n) = fi(nlon,n)
+     ENDDO
+     DO ig = 1, nlon - 2
+        ecrit(iim+ig,n) = fi(1+ig,n)
+     ENDDO
+  ENDDO
+
+END SUBROUTINE gr_fi_ecrit
Index: LMDZ6/trunk/libf/phydev/infotrac_phy.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/infotrac_phy.F90	(revision 5267)
+++ 	(revision )
@@ -1,65 +1,0 @@
-
-! $Id: $
-
-MODULE infotrac_phy
-
-   USE strings_mod, ONLY: maxlen
-!   PUBLIC :: tracers, type_trac                            !--- Full tracers database, tracers type keyword
-!   PUBLIC :: nqtot,   nbtr,   nqo,   nqCO2,   nqtottr      !--- Main dimensions
-   INTEGER,SAVE :: nqtot,   nbtr,   nqo,   nqCO2,   nqtottr      !--- Main dimensions
-   INTEGER,SAVE :: niso,ntiso
-   CHARACTER(LEN=maxlen), SAVE :: type_trac                     !--- Keyword for tracers type(s)
-
-  TYPE :: keys_type                                        !=== TYPE FOR A SET OF KEYS ASSOCIATED TO AN ELEMENT
-    CHARACTER(LEN=maxlen)              :: name             !--- Tracer name
-    CHARACTER(LEN=maxlen), ALLOCATABLE :: key(:)           !--- Keys string list
-    CHARACTER(LEN=maxlen), ALLOCATABLE :: val(:)           !--- Corresponding values string list
-  END TYPE keys_type
-
-  TYPE :: trac_type                                        !=== TYPE FOR A SINGLE TRACER NAMED "name"
-    CHARACTER(LEN=maxlen) :: name        = ''              !--- Name of the tracer
-    CHARACTER(LEN=maxlen) :: gen0Name    = ''              !--- First generation ancestor name
-    CHARACTER(LEN=maxlen) :: parent      = ''              !--- Parent name
-    CHARACTER(LEN=maxlen) :: longName    = ''              !--- Long name (with advection scheme suffix)
-    CHARACTER(LEN=maxlen) :: type        = 'tracer'        !--- Type  (so far: 'tracer' / 'tag')
-    CHARACTER(LEN=maxlen) :: phase       = 'g'             !--- Phase ('g'as / 'l'iquid / 's'olid)
-    CHARACTER(LEN=maxlen) :: component   = ''              !--- Coma-separated list of components (Ex: lmdz,inca)
-    INTEGER               :: iGeneration = -1              !--- Generation number (>=0)
-    INTEGER               :: iqParent    = 0               !--- Parent index
-    INTEGER,  ALLOCATABLE :: iqDescen(:)                   !--- Descendants index (in growing generation order)
-    INTEGER               :: nqDescen    = 0               !--- Number of descendants (all generations)
-    INTEGER               :: nqChildren  = 0               !--- Number of children  (first generation)
-    TYPE(keys_type)       :: keys                          !--- <key>=<val> pairs vector
-    INTEGER               :: iadv        = 10              !--- Advection scheme used
-    LOGICAL               :: isAdvected  = .FALSE.         !--- "true" tracers: iadv > 0.   COUNT(isAdvected )=nqtrue
-    LOGICAL               :: isInPhysics = .TRUE.          !--- "true" tracers: in tr_seri. COUNT(isInPhysics)=nqtottr
-    INTEGER               :: iso_iGroup  = 0               !--- Isotopes group index in isotopes(:)
-    INTEGER               :: iso_iName   = 0               !--- Isotope  name  index in isotopes(iso_iGroup)%trac(:)
-    INTEGER               :: iso_iZone   = 0               !--- Isotope  zone  index in isotopes(iso_iGroup)%zone(:)
-    INTEGER               :: iso_iPhase  = 0               !--- Isotope  phase index in isotopes(iso_iGroup)%phase
-  END TYPE trac_type
-
-   TYPE(trac_type), ALLOCATABLE, TARGET, SAVE ::  tracers(:)
-
-
-!$OMP THREADPRIVATE(nqtot, nbtr, nqo, nqtottr, nqCO2, type_trac)
-!$OMP THREADPRIVATE(niso,ntiso)
-!$OMP THREADPRIVATE(trac_type,tracers)
-
-
-
-
-CONTAINS
-
-SUBROUTINE init_infotrac_phy(nqtot_, type_trac_)
-   IMPLICIT NONE
-   INTEGER,          INTENT(IN) :: nqtot_
-   CHARACTER(LEN=*), INTENT(IN) :: type_trac_
-   CHARACTER(LEN=maxlen) :: modname='init_infotrac_phy'
-
-   nqtot = nqtot_
-   type_trac = type_trac_
-
-  END SUBROUTINE init_infotrac_phy
-
-END MODULE infotrac_phy
Index: LMDZ6/trunk/libf/phydev/infotrac_phy.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/infotrac_phy.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/infotrac_phy.f90	(revision 5268)
@@ -0,0 +1,65 @@
+
+! $Id: $
+
+MODULE infotrac_phy
+
+   USE strings_mod, ONLY: maxlen
+!   PUBLIC :: tracers, type_trac                            !--- Full tracers database, tracers type keyword
+!   PUBLIC :: nqtot,   nbtr,   nqo,   nqCO2,   nqtottr      !--- Main dimensions
+   INTEGER,SAVE :: nqtot,   nbtr,   nqo,   nqCO2,   nqtottr      !--- Main dimensions
+   INTEGER,SAVE :: niso,ntiso
+   CHARACTER(LEN=maxlen), SAVE :: type_trac                     !--- Keyword for tracers type(s)
+
+  TYPE :: keys_type                                        !=== TYPE FOR A SET OF KEYS ASSOCIATED TO AN ELEMENT
+    CHARACTER(LEN=maxlen)              :: name             !--- Tracer name
+    CHARACTER(LEN=maxlen), ALLOCATABLE :: key(:)           !--- Keys string list
+    CHARACTER(LEN=maxlen), ALLOCATABLE :: val(:)           !--- Corresponding values string list
+  END TYPE keys_type
+
+  TYPE :: trac_type                                        !=== TYPE FOR A SINGLE TRACER NAMED "name"
+    CHARACTER(LEN=maxlen) :: name        = ''              !--- Name of the tracer
+    CHARACTER(LEN=maxlen) :: gen0Name    = ''              !--- First generation ancestor name
+    CHARACTER(LEN=maxlen) :: parent      = ''              !--- Parent name
+    CHARACTER(LEN=maxlen) :: longName    = ''              !--- Long name (with advection scheme suffix)
+    CHARACTER(LEN=maxlen) :: type        = 'tracer'        !--- Type  (so far: 'tracer' / 'tag')
+    CHARACTER(LEN=maxlen) :: phase       = 'g'             !--- Phase ('g'as / 'l'iquid / 's'olid)
+    CHARACTER(LEN=maxlen) :: component   = ''              !--- Coma-separated list of components (Ex: lmdz,inca)
+    INTEGER               :: iGeneration = -1              !--- Generation number (>=0)
+    INTEGER               :: iqParent    = 0               !--- Parent index
+    INTEGER,  ALLOCATABLE :: iqDescen(:)                   !--- Descendants index (in growing generation order)
+    INTEGER               :: nqDescen    = 0               !--- Number of descendants (all generations)
+    INTEGER               :: nqChildren  = 0               !--- Number of children  (first generation)
+    TYPE(keys_type)       :: keys                          !--- <key>=<val> pairs vector
+    INTEGER               :: iadv        = 10              !--- Advection scheme used
+    LOGICAL               :: isAdvected  = .FALSE.         !--- "true" tracers: iadv > 0.   COUNT(isAdvected )=nqtrue
+    LOGICAL               :: isInPhysics = .TRUE.          !--- "true" tracers: in tr_seri. COUNT(isInPhysics)=nqtottr
+    INTEGER               :: iso_iGroup  = 0               !--- Isotopes group index in isotopes(:)
+    INTEGER               :: iso_iName   = 0               !--- Isotope  name  index in isotopes(iso_iGroup)%trac(:)
+    INTEGER               :: iso_iZone   = 0               !--- Isotope  zone  index in isotopes(iso_iGroup)%zone(:)
+    INTEGER               :: iso_iPhase  = 0               !--- Isotope  phase index in isotopes(iso_iGroup)%phase
+  END TYPE trac_type
+
+   TYPE(trac_type), ALLOCATABLE, TARGET, SAVE ::  tracers(:)
+
+
+!$OMP THREADPRIVATE(nqtot, nbtr, nqo, nqtottr, nqCO2, type_trac)
+!$OMP THREADPRIVATE(niso,ntiso)
+!$OMP THREADPRIVATE(trac_type,tracers)
+
+
+
+
+CONTAINS
+
+SUBROUTINE init_infotrac_phy(nqtot_, type_trac_)
+   IMPLICIT NONE
+   INTEGER,          INTENT(IN) :: nqtot_
+   CHARACTER(LEN=*), INTENT(IN) :: type_trac_
+   CHARACTER(LEN=maxlen) :: modname='init_infotrac_phy'
+
+   nqtot = nqtot_
+   type_trac = type_trac_
+
+  END SUBROUTINE init_infotrac_phy
+
+END MODULE infotrac_phy
Index: LMDZ6/trunk/libf/phydev/inifis_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/inifis_mod.F90	(revision 5267)
+++ 	(revision )
@@ -1,28 +1,0 @@
-! $Id$
-MODULE inifis_mod
-
-CONTAINS
-
-  SUBROUTINE inifis(prad, pg, pr, pcpp)
-  ! Initialize some physical constants and settings
-  USE init_print_control_mod, ONLY: init_print_control
-  USE comcstphy, ONLY: rradius, & ! planet radius (m)
-                       rr, & ! recuced gas constant: R/molar mass of atm
-                       rg, & ! gravity
-                       rcpp  ! specific heat of the atmosphere
-  IMPLICIT NONE
-
-  REAL,INTENT(IN) :: prad, pg, pr, pcpp
-
-  ! Initialize flags lunout, prt_level, debug
-  CALL init_print_control
-
-  ! copy some fundamental parameters to physics
-  rradius=prad
-  rg=pg
-  rr=pr
-  rcpp=pcpp
-
-  END SUBROUTINE inifis
-  
-END MODULE inifis_mod
Index: LMDZ6/trunk/libf/phydev/inifis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/inifis_mod.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/inifis_mod.f90	(revision 5268)
@@ -0,0 +1,28 @@
+! $Id$
+MODULE inifis_mod
+
+CONTAINS
+
+  SUBROUTINE inifis(prad, pg, pr, pcpp)
+  ! Initialize some physical constants and settings
+  USE init_print_control_mod, ONLY: init_print_control
+  USE comcstphy, ONLY: rradius, & ! planet radius (m)
+                       rr, & ! recuced gas constant: R/molar mass of atm
+                       rg, & ! gravity
+                       rcpp  ! specific heat of the atmosphere
+  IMPLICIT NONE
+
+  REAL,INTENT(IN) :: prad, pg, pr, pcpp
+
+  ! Initialize flags lunout, prt_level, debug
+  CALL init_print_control
+
+  ! copy some fundamental parameters to physics
+  rradius=prad
+  rg=pg
+  rr=pr
+  rcpp=pcpp
+
+  END SUBROUTINE inifis
+  
+END MODULE inifis_mod
Index: LMDZ6/trunk/libf/phydev/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyaqua_mod.F90	(revision 5267)
+++ 	(revision )
@@ -1,35 +1,0 @@
-!
-! $Id: $
-!
-MODULE phyaqua_mod
-
-  IMPLICIT NONE
-
-CONTAINS
-
-  SUBROUTINE iniaqua(nlon, iflag_phys)
-
-  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-  !  Create an initial state (startphy.nc) for the physics
-  !  Usefull for idealised cases (e.g. aquaplanets or testcases)
-  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-  USE phys_state_var_mod, ONLY: phys_state_var_init
-  USE mod_phys_lmdz_para, ONLY: klon_omp
-  IMPLICIT NONE
-      
-  INTEGER,INTENT(IN) :: nlon,iflag_phys
-
-  CALL phys_state_var_init()
-
-
-  ! Here you could create an initial condition for the physics
-  ! ...
-  ! ... fill in the fields...
-  ! ...
-  ! ... and create a "startphy.nc" file
-      CALL phyredem ("startphy.nc")
-
-  END SUBROUTINE iniaqua
-
-END MODULE phyaqua_mod
Index: LMDZ6/trunk/libf/phydev/phyaqua_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyaqua_mod.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/phyaqua_mod.f90	(revision 5268)
@@ -0,0 +1,35 @@
+!
+! $Id: $
+!
+MODULE phyaqua_mod
+
+  IMPLICIT NONE
+
+CONTAINS
+
+  SUBROUTINE iniaqua(nlon, iflag_phys)
+
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !  Create an initial state (startphy.nc) for the physics
+  !  Usefull for idealised cases (e.g. aquaplanets or testcases)
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+  USE phys_state_var_mod, ONLY: phys_state_var_init
+  USE mod_phys_lmdz_para, ONLY: klon_omp
+  IMPLICIT NONE
+      
+  INTEGER,INTENT(IN) :: nlon,iflag_phys
+
+  CALL phys_state_var_init()
+
+
+  ! Here you could create an initial condition for the physics
+  ! ...
+  ! ... fill in the fields...
+  ! ...
+  ! ... and create a "startphy.nc" file
+      CALL phyredem ("startphy.nc")
+
+  END SUBROUTINE iniaqua
+
+END MODULE phyaqua_mod
Index: LMDZ6/trunk/libf/phydev/phyetat0.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyetat0.F90	(revision 5267)
+++ 	(revision )
@@ -1,65 +1,0 @@
-!
-! $Id $
-!
-SUBROUTINE phyetat0(fichnom)
-! Load initial state for the physics
-! and do some resulting initializations
-
-  USE dimphy, only: klon
-  USE iostart, ONLY : open_startphy,get_field,close_startphy
-  USE iophy, ONLY : init_iophy_new
-  USE geometry_mod, ONLY : longitude_deg, latitude_deg
-
-  IMPLICIT NONE
-
-  CHARACTER(len=*),INTENT(in) :: fichnom ! input file name
-
-  REAL :: lon_startphy(klon), lat_startphy(klon)
-  INTEGER :: i
-
-  ! open physics initial state file:
-  CALL open_startphy(fichnom)
-
-  ! read latitudes and make a sanity check (because already known from dyn)
-  CALL get_field("latitude",lat_startphy)
-  DO i=1,klon
-    IF (ABS(lat_startphy(i)-latitude_deg(i))>=1) THEN
-      WRITE(*,*) "phyetat0: Error! Latitude discrepancy wrt startphy file:",&
-                 " i=",i," lat_startphy(i)=",lat_startphy(i),&
-                 " latitude_deg(i)=",latitude_deg(i)
-      ! This is presumably serious enough to abort run
-      CALL abort_physic("phyetat0","discrepancy in latitudes!",1)
-    ENDIF
-    IF (ABS(lat_startphy(i)-latitude_deg(i))>=0.0001) THEN
-      WRITE(*,*) "phyetat0: Warning! Latitude discrepancy wrt startphy file:",&
-                 " i=",i," lat_startphy(i)=",lat_startphy(i),&
-                 " latitude_deg(i)=",latitude_deg(i)
-    ENDIF
-  ENDDO
-
-  ! read longitudes and make a sanity check (because already known from dyn)
-  CALL get_field("longitude",lon_startphy)
-  DO i=1,klon
-    IF (ABS(lon_startphy(i)-longitude_deg(i))>=1) THEN
-      WRITE(*,*) "phyetat0: Error! Longitude discrepancy wrt startphy file:",&
-                 " i=",i," lon_startphy(i)=",lon_startphy(i),&
-                 " longitude_deg(i)=",longitude_deg(i)
-      ! This is presumably serious enough to abort run
-      CALL abort_physic("phyetat0","discrepancy in longitudes!",1)
-    ENDIF
-    IF (ABS(lon_startphy(i)-longitude_deg(i))>=0.0001) THEN
-      WRITE(*,*) "phyetat0: Warning! Longitude discrepancy wrt startphy file:",&
-                 " i=",i," lon_startphy(i)=",lon_startphy(i),&
-                 " longitude_deg(i)=",longitude_deg(i)
-    ENDIF
-  ENDDO
-
-  ! read in other variables here ...
-
-  ! close file
-  CALL close_startphy
-
-  ! do some more initializations
-  CALL init_iophy_new(latitude_deg,longitude_deg)
-
-END SUBROUTINE phyetat0
Index: LMDZ6/trunk/libf/phydev/phyetat0.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyetat0.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/phyetat0.f90	(revision 5268)
@@ -0,0 +1,65 @@
+!
+! $Id $
+!
+SUBROUTINE phyetat0(fichnom)
+! Load initial state for the physics
+! and do some resulting initializations
+
+  USE dimphy, only: klon
+  USE iostart, ONLY : open_startphy,get_field,close_startphy
+  USE iophy, ONLY : init_iophy_new
+  USE geometry_mod, ONLY : longitude_deg, latitude_deg
+
+  IMPLICIT NONE
+
+  CHARACTER(len=*),INTENT(in) :: fichnom ! input file name
+
+  REAL :: lon_startphy(klon), lat_startphy(klon)
+  INTEGER :: i
+
+  ! open physics initial state file:
+  CALL open_startphy(fichnom)
+
+  ! read latitudes and make a sanity check (because already known from dyn)
+  CALL get_field("latitude",lat_startphy)
+  DO i=1,klon
+    IF (ABS(lat_startphy(i)-latitude_deg(i))>=1) THEN
+      WRITE(*,*) "phyetat0: Error! Latitude discrepancy wrt startphy file:",&
+                 " i=",i," lat_startphy(i)=",lat_startphy(i),&
+                 " latitude_deg(i)=",latitude_deg(i)
+      ! This is presumably serious enough to abort run
+      CALL abort_physic("phyetat0","discrepancy in latitudes!",1)
+    ENDIF
+    IF (ABS(lat_startphy(i)-latitude_deg(i))>=0.0001) THEN
+      WRITE(*,*) "phyetat0: Warning! Latitude discrepancy wrt startphy file:",&
+                 " i=",i," lat_startphy(i)=",lat_startphy(i),&
+                 " latitude_deg(i)=",latitude_deg(i)
+    ENDIF
+  ENDDO
+
+  ! read longitudes and make a sanity check (because already known from dyn)
+  CALL get_field("longitude",lon_startphy)
+  DO i=1,klon
+    IF (ABS(lon_startphy(i)-longitude_deg(i))>=1) THEN
+      WRITE(*,*) "phyetat0: Error! Longitude discrepancy wrt startphy file:",&
+                 " i=",i," lon_startphy(i)=",lon_startphy(i),&
+                 " longitude_deg(i)=",longitude_deg(i)
+      ! This is presumably serious enough to abort run
+      CALL abort_physic("phyetat0","discrepancy in longitudes!",1)
+    ENDIF
+    IF (ABS(lon_startphy(i)-longitude_deg(i))>=0.0001) THEN
+      WRITE(*,*) "phyetat0: Warning! Longitude discrepancy wrt startphy file:",&
+                 " i=",i," lon_startphy(i)=",lon_startphy(i),&
+                 " longitude_deg(i)=",longitude_deg(i)
+    ENDIF
+  ENDDO
+
+  ! read in other variables here ...
+
+  ! close file
+  CALL close_startphy
+
+  ! do some more initializations
+  CALL init_iophy_new(latitude_deg,longitude_deg)
+
+END SUBROUTINE phyetat0
Index: LMDZ6/trunk/libf/phydev/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyredem.F90	(revision 5267)
+++ 	(revision )
@@ -1,45 +1,0 @@
-!
-! $Id: $
-!
-SUBROUTINE phyredem (fichnom)
-
-  USE geometry_mod, ONLY : longitude_deg, latitude_deg
-  USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
-
-
-  IMPLICIT NONE
-
-  CHARACTER(LEN=*),INTENT(IN) :: fichnom
-
-  INTEGER,PARAMETER :: tab_cntrl_len=100
-  REAL :: tab_cntrl(tab_cntrl_len)
-  INTEGER :: pass
-
-  ! open file
-
-  CALL open_restartphy(fichnom)
-
-  ! tab_cntrl() contains run parameters
-
-  tab_cntrl(:)=0.0
-
-  DO pass=1,2   ! pass=1 netcdf definition ; pass=2 netcdf write
-
-    CALL put_var(pass, "controle", "Control parameters", tab_cntrl)
-
-  ! coordinates
-
-    CALL put_field(pass, "longitude", "Longitudes on physics grid", longitude_deg)
-     
-    CALL put_field(pass, "latitude", "Latitudes on physics grid", latitude_deg)
-
-    IF (pass==1) CALL enddef_restartphy
-    IF (pass==2) CALL close_restartphy
-
-  ENDDO
-  ! close file
-
-  CALL close_restartphy
-  !$OMP BARRIER
-
-END SUBROUTINE phyredem
Index: LMDZ6/trunk/libf/phydev/phyredem.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/phyredem.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/phyredem.f90	(revision 5268)
@@ -0,0 +1,45 @@
+!
+! $Id: $
+!
+SUBROUTINE phyredem (fichnom)
+
+  USE geometry_mod, ONLY : longitude_deg, latitude_deg
+  USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
+
+
+  IMPLICIT NONE
+
+  CHARACTER(LEN=*),INTENT(IN) :: fichnom
+
+  INTEGER,PARAMETER :: tab_cntrl_len=100
+  REAL :: tab_cntrl(tab_cntrl_len)
+  INTEGER :: pass
+
+  ! open file
+
+  CALL open_restartphy(fichnom)
+
+  ! tab_cntrl() contains run parameters
+
+  tab_cntrl(:)=0.0
+
+  DO pass=1,2   ! pass=1 netcdf definition ; pass=2 netcdf write
+
+    CALL put_var(pass, "controle", "Control parameters", tab_cntrl)
+
+  ! coordinates
+
+    CALL put_field(pass, "longitude", "Longitudes on physics grid", longitude_deg)
+     
+    CALL put_field(pass, "latitude", "Latitudes on physics grid", latitude_deg)
+
+    IF (pass==1) CALL enddef_restartphy
+    IF (pass==2) CALL close_restartphy
+
+  ENDDO
+  ! close file
+
+  CALL close_restartphy
+  !$OMP BARRIER
+
+END SUBROUTINE phyredem
Index: LMDZ6/trunk/libf/phydev/phys_state_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/phys_state_var_mod.F90	(revision 5267)
+++ 	(revision )
@@ -1,37 +1,0 @@
-!
-! $Id:  $
-!
-MODULE phys_state_var_mod
-!======================================================================
-! Variables saved in startphy.nc
-!======================================================================
-
-!USE dimphy, only : klon
- 
-
-!REAL, ALLOCATABLE, SAVE :: rlat(:), rlon(:)
-!!$OMP THREADPRIVATE(rlat,rlon)
-
-CONTAINS
-
-!======================================================================
-  SUBROUTINE phys_state_var_init()
-!  use dimphy, only : klon
-
-!  if (.not.allocated(rlat)) then
-!    ALLOCATE(rlat(klon),rlon(klon))
-!  else
-!    write(*,*) "phys_state_var_init: warning, rlat already allocated"
-!  endif
-  
-  END SUBROUTINE phys_state_var_init
-
-!======================================================================
-  SUBROUTINE phys_state_var_end
-!  use dimphy, only : klon
-
-!  deallocate(rlat,rlon)
-
-  END SUBROUTINE phys_state_var_end
-
-END MODULE phys_state_var_mod
Index: LMDZ6/trunk/libf/phydev/phys_state_var_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phydev/phys_state_var_mod.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phydev/phys_state_var_mod.f90	(revision 5268)
@@ -0,0 +1,37 @@
+!
+! $Id:  $
+!
+MODULE phys_state_var_mod
+!======================================================================
+! Variables saved in startphy.nc
+!======================================================================
+
+!USE dimphy, only : klon
+ 
+
+!REAL, ALLOCATABLE, SAVE :: rlat(:), rlon(:)
+!!$OMP THREADPRIVATE(rlat,rlon)
+
+CONTAINS
+
+!======================================================================
+  SUBROUTINE phys_state_var_init()
+!  use dimphy, only : klon
+
+!  if (.not.allocated(rlat)) then
+!    ALLOCATE(rlat(klon),rlon(klon))
+!  else
+!    write(*,*) "phys_state_var_init: warning, rlat already allocated"
+!  endif
+  
+  END SUBROUTINE phys_state_var_init
+
+!======================================================================
+  SUBROUTINE phys_state_var_end
+!  use dimphy, only : klon
+
+!  deallocate(rlat,rlon)
+
+  END SUBROUTINE phys_state_var_end
+
+END MODULE phys_state_var_mod