Index: LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5270)
+++ LMDZ6/trunk/libf/phylmdiso/cv30_routines.F90	(revision 5271)
@@ -6360,7 +6360,7 @@
         ! Toutes les autres variables fn de ep sont calculees plus bas.
 
-#include "cvthermo.h"
-#include "cv30param.h"
-#include "conema3.h"
+INCLUDE "cvthermo.h"
+INCLUDE "cv30param.h"
+INCLUDE "conema3.h"
 
 ! inputs:
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5270)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5271)
@@ -28,5 +28,5 @@
 implicit none
 
-#include "YOMCST.h"       
+INCLUDE "YOMCST.h"
 
 ! inputs
@@ -12969,5 +12969,6 @@
     USE isotrac_mod, ONLY: izone_cont,index_zone,index_iso
 #endif
-        implicit none
+        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
         ! gestion de la neige: on precipte dessus, sublime, effondre,
@@ -12975,9 +12976,9 @@
         ! commun aux dfférentes sous-surfaces.
 
-#include "YOETHF.h" 
-#include "FCTTRE.h"   
-#include "YOMCST.h"
-!#include "dimensions.h"
-!#include "paramet.h"
+INCLUDE "YOETHF.h"
+INCLUDE "FCTTRE.h"
+INCLUDE "YOMCST.h"
+!
+!INCLUDE "paramet.h"
 
          ! inputs
@@ -13543,7 +13544,7 @@
         implicit none
 
-#include "YOETHF.h"         
-#include "FCTTRE.h"   
-#include "YOMCST.h"
+INCLUDE "YOETHF.h"
+INCLUDE "FCTTRE.h"
+INCLUDE "YOMCST.h"
         
         ! inputs
@@ -14456,11 +14457,12 @@
 #endif
 
-        implicit none
-
-#include "YOETHF.h" 
-#include "FCTTRE.h"   
-#include "YOMCST.h"
-!#include "dimensions.h"
-!#include "paramet.h"
+        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
+
+INCLUDE "YOETHF.h"
+INCLUDE "FCTTRE.h"
+INCLUDE "YOMCST.h"
+!
+!INCLUDE "paramet.h"
         
         ! inputs
@@ -15875,7 +15877,7 @@
       ! equivalent de phyetat0 pour les isotopes  
 
-#include "dimsoil.h"
-#include "clesphys.h"
-#include "compbl.h"      
+INCLUDE "dimsoil.h"
+INCLUDE "clesphys.h"
+INCLUDE "compbl.h"
 
 !#ifdef ISOVERIF
@@ -16050,8 +16052,8 @@
         implicit none
 
-#include "dimsoil.h"
-#include "clesphys.h"
-!  #include "thermcell.h"
-#include "compbl.h"
+INCLUDE "dimsoil.h"
+INCLUDE "clesphys.h"
+!  INCLUDE "thermcell.h"
+INCLUDE "compbl.h"
 
         ! arguments  
@@ -16427,7 +16429,7 @@
    IMPLICIT NONE
 
-#include "dimsoil.h"
-#include "clesphys.h"
-#include "compbl.h"    
+INCLUDE "dimsoil.h"
+INCLUDE "clesphys.h"
+INCLUDE "compbl.h"
 
    REAL, INTENT(IN) ::             snow     (klon,nbsrf)
@@ -16638,5 +16640,5 @@
       implicit none
 
-#include "YOMCST.h"
+INCLUDE "YOMCST.h"
 
 ! input
@@ -18234,8 +18236,9 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
-
-#include "YOMCST.h"
-#include "dimensions.h"
+      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
+
+INCLUDE "YOMCST.h"
+
 ! pour avoir iim et jjm
 
@@ -18379,5 +18382,5 @@
       implicit none
 
-#include "YOMCST.h"
+INCLUDE "YOMCST.h"
 
 !     Arguments
@@ -18543,5 +18546,5 @@
         ! normallement, niso en dimension suffirait, mais serait pas
         ! cohérent avec les dimensions dans condiso_liq_ice
-!#include "iso_verif.h"
+!INCLUDE "iso_verif.h"
 
         ! verif que qt n'est pas nul
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5270)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5271)
@@ -519,8 +519,8 @@
         ! equivalent isotopique de phyredem
 
-#include "dimsoil.h"
-#include "clesphys.h"
-#include "alpale.h"
-#include "compbl.h"      
+INCLUDE "dimsoil.h"
+INCLUDE "clesphys.h"
+INCLUDE "alpale.h"
+INCLUDE "compbl.h"
       ! inputs
       !REAL xtsol(niso,klon)