Index: LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5272)
@@ -9,4 +9,6 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -14,5 +16,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================
Index: LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5272)
@@ -9,4 +9,6 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -14,5 +16,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================
Index: LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5272)
@@ -32,4 +32,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -38,5 +40,5 @@
   INCLUDE "chem_spla.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================== INPUT ==================================
Index: LMDZ6/trunk/libf/phylmd/Dust/deposition.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5272)
@@ -11,4 +11,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -16,5 +18,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !----------------------------- INPUT -----------------------------------
Index: LMDZ6/trunk/libf/phylmd/Dust/finemission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5272)
@@ -16,4 +16,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -21,5 +23,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   INTEGER :: i, k, kminbc, kmaxbc
Index: LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5272)
@@ -10,4 +10,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -15,5 +17,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================
Index: LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5272)
@@ -10,4 +10,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -15,5 +17,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================
Index: LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5272)
@@ -808,5 +808,6 @@
                               mth_cur, phys_cal_update
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-!
+      USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
       IMPLICIT none
 !
@@ -827,5 +828,4 @@
       INCLUDE "YOMCST.h"
       INCLUDE "YOETHF.h"
-      INCLUDE "paramet.h"
       INCLUDE "alpale.h"
 
Index: LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5272)
@@ -21,4 +21,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -27,5 +29,5 @@
   INCLUDE "chem_spla.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================
Index: LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5272)
@@ -5,8 +5,10 @@
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
   !
 
-  INCLUDE "paramet.h"
+
   !
   INTEGER :: step, nbjour
Index: LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5272)
@@ -24,4 +24,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -29,5 +31,5 @@
 
    ! INCLUDE 'dimphy.h'
-  INCLUDE 'paramet.h'
+
   INCLUDE 'chem.h'
   INCLUDE 'chem_spla.h'
Index: LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5272)
@@ -12,7 +12,9 @@
        USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
-       INCLUDE "paramet.h"
+
 
        character*10 name
Index: LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5272)
@@ -6,8 +6,10 @@
    ! USE write_field_phy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
     ! INCLUDE "dimphy.h"
-  INCLUDE "paramet.h"
+
   !
   INTEGER :: step, nbjour
Index: LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5271)
+++ LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5272)
@@ -9,4 +9,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
 IMPLICIT NONE
 
@@ -14,5 +16,5 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "paramet.h"
+
 
   !============================= INPUT ===================================