Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5274)
@@ -1352,6 +1352,18 @@
 !   sans WTG rajouter une advection horizontale
 !----------------------------------------------------------------------
-        implicit none
-INCLUDE "YOMCST.h"
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
 !        argument
         integer llm
@@ -1426,6 +1438,18 @@
 !   sans WTG rajouter une advection horizontale
 !----------------------------------------------------------------------
-        implicit none
-INCLUDE "YOMCST.h"
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
 !        argument
         integer llm,nqtot
@@ -1507,5 +1531,17 @@
   USE dimphy
 
-  implicit none
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
 
 ! ========================================================
@@ -1526,5 +1562,5 @@
 ! Declaration des constantes et des fonctions thermodynamiques
 !
-include "YOMCST.h"
+
 include "YOETHF.h"
 !
@@ -1590,5 +1626,17 @@
   USE dimphy
 
-  implicit none
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
 
 ! ========================================================
@@ -1620,5 +1668,5 @@
 ! Declaration des constantes et des fonctions thermodynamiques
 !
-include "YOMCST.h"
+
 include "YOETHF.h"
 !
@@ -1747,7 +1795,19 @@
 
        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-INCLUDE "YOMCST.h"
+
 
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5274)
@@ -6,6 +6,18 @@
      &       Ts,imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)                                 
 !
-        implicit none
- 
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
 !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 ! cette routine permet d obtenir u_convg,v_convg,ht,hq et ainsi de
@@ -13,5 +25,5 @@
 !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-      INCLUDE "YOMCST.h"
+
 
       INTEGER klev
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5274)
@@ -932,7 +932,19 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-    INCLUDE "YOMCST.h"
+
 
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5274)
@@ -1463,5 +1463,17 @@
      &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof   &
      &             ,ufa_prof,vfa_prof)
-        implicit none
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+      implicit none
 
 !---------------------------------------------------------------------------------------
@@ -1543,5 +1555,5 @@
      &'day,annee_ref,day_ini_astex,timeit,it_astex1,it_astex2,SST:',       &
      &day,annee_ref,day_ini_astex,timeit/86400.,it_astex1,                 &
-     &it_astex2,div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof 
+     &it_astex2,div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
 
         return
@@ -1815,5 +1827,5 @@
 ! Time interpolation of a 2D field to the timestep corresponding to day
 !
-! day: current julian day 
+! day: current julian day
 ! day1: first day of the simulation
 ! nt_gabls4: total nb of data in the forcing (e.g. 37 for gabls4)
@@ -2148,5 +2160,5 @@
         close(ilesfile)
 
-! Vertical coordinates half levels for eta-coordinates (plev = alpha + beta * psurf) 
+! Vertical coordinates half levels for eta-coordinates (plev = alpha + beta * psurf)
        IF(nlev_max.EQ.19) THEN
        open (ifile,file='proh.inp.19',status='old',iostat=ierr)
@@ -2250,5 +2262,5 @@
            stop 'vg'
          endif
-      
+
       ierr=nf90_inq_varid(nid,"wls",var3didin(9))
          if(ierr/=nf90_noerr) then
@@ -2282,5 +2294,5 @@
 !dimensions lecture
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(1),zz)
          if(ierr/=nf90_noerr) then
@@ -2303,5 +2315,5 @@
          endif
 !          write(*,*)'lecture qt ok',qt
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(4),u)
          if(ierr/=nf90_noerr) then
@@ -2374,5 +2386,5 @@
 !          write(*,*)'lecture thl_rad ok',thl_rad
 
-         return 
+         return
          end subroutine read_fire
 !=====================================================================
@@ -2387,6 +2399,18 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      implicit none
-      INCLUDE "YOMCST.h"
+      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+implicit none
+
 
       integer ntime,nlevel
@@ -2471,5 +2495,5 @@
            stop 'lhf'
          endif
-      
+
       ierr=nf90_inq_varid(nid,"lwup",var3didin(4))
          if(ierr/=nf90_noerr) then
@@ -2551,5 +2575,5 @@
 !dimensions lecture
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(1),zz)
          if(ierr/=nf90_noerr) then
@@ -2558,5 +2582,5 @@
          endif
 !          write(*,*)'lecture zz ok',zz
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(11),pres)
          if(ierr/=nf90_noerr) then
@@ -2582,5 +2606,5 @@
          endif
 !          write(*,*)'lecture qv ok',qv
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(14),u)
          if(ierr/=nf90_noerr) then
@@ -2709,5 +2733,5 @@
 !          write(*,*)'lecture omega ok',omega
 
-         return 
+         return
          end subroutine read_dice
 !=====================================================================
@@ -2717,4 +2741,16 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
+      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
       USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
@@ -2727,5 +2763,5 @@
       real*8 time(ntime)
 
-!  ATTENTION: visiblement quand on lit gabls4_driver.nc on recupere les donnees 
+!  ATTENTION: visiblement quand on lit gabls4_driver.nc on recupere les donnees
 ! dans un ordre inverse par rapport a la convention LMDZ
 ! ==> il faut tout inverser  (MPL 20141024)
@@ -2846,5 +2882,5 @@
 !dimensions lecture
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(1),zz_i)
          if(ierr/=nf90_noerr) then
@@ -2852,5 +2888,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(2),depth_sn)
          if(ierr/=nf90_noerr) then
@@ -2858,5 +2894,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(3),ug_i)
          if(ierr/=nf90_noerr) then
@@ -2864,5 +2900,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(4),vg_i)
          if(ierr/=nf90_noerr) then
@@ -2870,5 +2906,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(5),pf_i)
          if(ierr/=nf90_noerr) then
@@ -2894,5 +2930,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(9),u_i)
          if(ierr/=nf90_noerr) then
@@ -2900,5 +2936,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(10),v_i)
          if(ierr/=nf90_noerr) then
@@ -2906,5 +2942,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(11),hadvt_i)
          if(ierr/=nf90_noerr) then
@@ -2912,5 +2948,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(12),hadvq_i)
          if(ierr/=nf90_noerr) then
@@ -2918,5 +2954,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(14),tsnow)
          if(ierr/=nf90_noerr) then
@@ -2924,5 +2960,5 @@
             stop "getvarup"
          endif
- 
+
          ierr = NF90_GET_VAR(nid,var3didin(15),snow_dens)
          if(ierr/=nf90_noerr) then
@@ -2952,14 +2988,13 @@
            hadvq(k,:)=hadvq_i(nlevel+1-k,:)
          enddo
-         return 
+         return
  end subroutine read_gabls4
 !=====================================================================
 
-!     Reads CIRC input files      
+!     Reads CIRC input files
 
       SUBROUTINE read_circ(nlev_circ,cf,lwp,iwp,reliq,reice,t,z,p,pm,h2o,o3,sza)
-      
+
       parameter (ncm_1=49180)
-      INCLUDE "YOMCST.h"
 
       real albsfc(ncm_1), albsfc_w(ncm_1)
@@ -2985,5 +3020,5 @@
       open (15, file='cloud_input_case.txt', status='old')
       open (16, file='sfcalbedo_input_case.txt', status='old')
-      
+
 !     Read scalar information
       do iskip=1,5
@@ -3018,7 +3053,7 @@
          pm(il)=pm(il)*100.
       enddo
-303   format (i8, 2f9.2, 10(2x,e13.7))      
+303   format (i8, 2f9.2, 10(2x,e13.7))
       close(13)
-      
+
 !     Read aerosol layer information
       do iskip=1,3
@@ -3033,5 +3068,5 @@
 304   format (i8, f9.5, 2f8.3)
       close(14)
-      
+
 !     Read cloud information
       do iskip=1,3
@@ -3057,13 +3092,12 @@
 306   format(f10.1, 2f12.5, f14.8)
       close(16)
- 
-      return 
+
+      return
       end subroutine read_circ
 !=====================================================================
-!     Reads RTMIP input files      
+!     Reads RTMIP input files
 
       SUBROUTINE read_rtmip(nlev_rtmip,play,plev,t,h2o,o3)
-      
-      INCLUDE "YOMCST.h"
+
 
       real t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.f90	(revision 5274)
@@ -50,7 +50,19 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-      INCLUDE "YOMCST.h"
+
 !!      INCLUDE "control.h"
       INCLUDE "clesphys.h"
Index: LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5273)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/scm.f90	(revision 5274)
@@ -46,7 +46,19 @@
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
    USE dimsoil_mod_h, ONLY: nsoilmx
+USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
 implicit none
 
-      INCLUDE "YOMCST.h"
+
 !!      INCLUDE "control.h"
       INCLUDE "clesphys.h"